/**
 * @author sergio lisan
 *
 *  The MIT License (MIT)
 *
 *  Copyright (c) 2016 Venosyd Opensource Initiative (Opensyd)
 *
 *  Permission is hereby granted, free of charge, to any person obtaining a copy of
 *  this software and associated documentation files (the "Software"), to deal in
 *  the Software without restriction, including without limitation the rights to
 *  use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 *  the Software, and to permit persons to whom the Software is furnished to do so,
 *  subject to the following conditions:
 *
 *  The above copyright notice and this permission notice shall be included in all
 *  copies or substantial portions of the Software.
 *
 *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 *  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 *  FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 *  COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 *  IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 *  CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 */

import 'package:base_dto/base_dto.dart';

main() {
  var person = new Person('Alexander', '22');
  person.id = '256ABC3663DEF337';
  person.collection_key = 'Person';

  print('Person data:');
  print('id: ${person.id}');
  print('collection_key: ${person.collection_key}');
  print('name: ${person.name}');
  print('age: ${person.age}');
}

/// demonstration Person class prepared to be used in NoSQL/MongoDB
class Person extends BaseDTO {

  String name;
  String age;

  Person(this.name, this.age);

}
